%define module_name pybugz
%define shortname bugz
%define git_commit 74a57cb
%define distname williamh-%{module_name}-%{git_commit}

%define name python-bugz
%define release	%mkrel 5
Summary:    A python and command line interface to Bugzilla 
Name:		%name
Version:	0.10.1
Release:	%release
Source0:	pybugz-%version.tar.gz
License:	GPL
Group:		Development/Python
Url:		https://github.com/williamh/pybugz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: python-devel
BuildArch: noarch

%description
PyBugz is a python and command line interface to Bugzilla.

It was conceived as a tool to speed up the workflow for Gentoo Linux developers
and contributors when dealing with bugs using Bugzilla. By avoiding the clunky 
web interface, the user quickly search, isolate and contribute to the project 
very quickly. 
Developers alike can easily extract attachments and close bugs all from the 
comfort of the command line.

PyBugz is written in Python and written in a way to be extended easily for 
use on other Bugzillas.  

%prep
%setup -q -n %{distname}
perl -pi -e 's|https://bugs.gentoo.org/|https://bugs.mageia.org/|' bugz/argparsers.py

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root) 
%doc README bugzrc.example
%_bindir/bugz
%{py_sitedir}/%{shortname}/
%{py_sitedir}/%{module_name}-%{version}-py%{pyver}.egg-info


%changelog
* Sat Dec 14 2013 colin <colin> 0.10.1-5.mga4
+ Revision: 556782
- Package the example rc file as documentation

* Tue Oct 22 2013 umeabot <umeabot> 0.10.1-4.mga4
+ Revision: 543180
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.10.1-3.mga4
+ Revision: 498195
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.10.1-2.mga3
+ Revision: 378509
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 22 2012 blino <blino> 0.10.1-1.mga3
+ Revision: 309315
- use mageia bugzilla url
- update URL (use github)
- 0.10.1
- drop old patches that should not be necessary with the new xmlrpc interface
- imported package python-bugz


* Thu Nov 11 2010 Eugeni Dodonov <eugeni@mandriva.com> 0.8.0-3mdv2011.0
+ Revision: 596171
- P2: fix issues with python 2.7
- Rebuild for new python.
  Explicitly define installed files.

* Tue Nov 10 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.8.0-1mdv2010.1
+ Revision: 464134
- P0: properly receive auth cookie
  P1: really modify bugs on newer bugzilla versions

  + Bogdano Arendartchuk <bogdano@mandriva.com>
    - new version 0.8.0

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.6.11-10mdv2010.0
+ Revision: 442045
- rebuild

* Sat Jan 03 2009 Funda Wang <fwang@mandriva.org> 0.6.11-9mdv2009.1
+ Revision: 323535
- rebuild

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 0.6.11-8mdv2009.0
+ Revision: 259510
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.6.11-7mdv2009.0
+ Revision: 247387
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.6.11-5mdv2008.1
+ Revision: 136447
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.11-5mdv2008.0
+ Revision: 90199
- rebuild

* Sun Jul 22 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.6.11-4mdv2008.0
+ Revision: 54477
- Remove unused patch
- [BUGFIX] Add Patch 1 to fix bug  #31852 (thanks to Gustavo De Nardin)

* Mon May 14 2007 Michael Scherer <misc@mandriva.org> 0.6.11-3mdv2008.0
+ Revision: 26606
- add patch0, to make it work with python 2.5 and bundled elementtree


* Wed Dec 20 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.6.11-2mdv2007.0
+ Revision: 100501
- Rebuild against new python

* Wed Sep 27 2006 Michael Scherer <misc@mandriva.org> 0.6.11-1mdv2007.1
+ Revision: 62647
- add a Requires on python-elementtree, thanks titi for spotting this
- version 0.6.11
- Import python-bugz

* Fri Sep 22 2006 Michael Scherer <misc@mandriva.org> 0.6-1mdv2007.0
- first package

